Bug 1293067 - RFE: dnf suggests --allowerasing even when it cannot help
RFE: dnf suggests --allowerasing even when it cannot help
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, FutureFeature, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 15:27 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2017-06-09 15:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 15:06:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-12-19 15:27:36 EST
Description of problem:
$ sudo dnf install ./x86_64/quantum-espresso-5.2.1-3.fc24.x86_64.rpm
Last metadata expiration check performed 0:02:14 ago on Sat Dec 19 15:20:51 2015.
Error: nothing provides quantum-espresso-common = 5.2.1-3.fc24 needed by quantum-espresso-5.2.1-3.fc24.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages)

I'm trying to install a package which is missing provides. Since the missing requirement comes from a new package, it is obvious that erasing a different package cannot help. It would be great if dnf would notice that there are no conflicting packages and not print the hint about --allowerasing.

Version-Release number of selected component (if applicable):
dnf-1.1.4-2.fc23.noarch
Comment 1 Honza Silhan 2015-12-23 08:35:36 EST
Thanks for the report, it should be displayed only in case of conflict error.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:24:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jaroslav Mracek 2017-04-10 09:18:38 EDT
I create huge refactor of problems report https://github.com/rpm-software-management/dnf/pull/782. Hope that it helps.
Comment 4 Fedora Update System 2017-05-22 08:40:40 EDT
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 5 Fedora Update System 2017-05-22 12:39:58 EDT
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 6 Fedora Update System 2017-05-24 04:31:47 EDT
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 7 Fedora Update System 2017-05-24 10:33:01 EDT
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 8 Fedora Update System 2017-05-25 15:17:28 EDT
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 9 Fedora Update System 2017-06-09 15:06:06 EDT
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.